Package org.bukkit.entity

# Enum Class Spellcaster.Spell

java.lang.Object
java.lang.Enum<Spellcaster.Spell>
org.bukkit.entity.Spellcaster.Spell

All Implemented Interfaces:
  `Serializable`, `Comparable<Spellcaster.Spell>`, `Constable`

Enclosing interface:
  Spellcaster

public static enum Spellcaster.Spell extends Enum<Spellcaster.Spell>
Represents the current spell the entity is using.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLINDNESS`
The spell that makes the target blind.
`DISAPPEAR`
The spell that makes the casting entity invisible.
`FANGS`
The spell that summons Fangs.
`NONE`
No spell is being used..
`SUMMON_VEX`
The spell that summons Vexes.
`WOLOLO`
The "wololo" spell.

## Method Summary

Modifier and Type
Method
Description
`static Spellcaster.Spell`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Spellcaster.Spell[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Spellcaster.Spell NONE
No spell is being used..

### SUMMON_VEX

public static final Spellcaster.Spell SUMMON_VEX
The spell that summons Vexes.

### FANGS

public static final Spellcaster.Spell FANGS
The spell that summons Fangs.

### WOLOLO

public static final Spellcaster.Spell WOLOLO
The "wololo" spell.

### DISAPPEAR

public static final Spellcaster.Spell DISAPPEAR
The spell that makes the casting entity invisible.

### BLINDNESS

public static final Spellcaster.Spell BLINDNESS
The spell that makes the target blind.

## Method Details

### values

public static Spellcaster.Spell[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Spellcaster.Spell valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null